package mapped;

import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSLink;

@ObfuscatedName("se")
public class Link implements RSLink {
   @ObfuscatedName("ao")
   @ObfuscatedSignature(
      descriptor = "Lse;"
   )
   public Link previous;
   @ObfuscatedName("ab")
   @ObfuscatedSignature(
      descriptor = "Lse;"
   )
   public Link next;

   @ObfuscatedName("at")
   public void remove_base() {
      if(this.next != null) {
         this.next.previous = this.previous;
         this.previous.next = this.next;
         this.previous = null;
         this.next = null;
      }
   }

   public RSLink getPrevious() {
      return this.previous;
   }

   public void setPrevious(RSLink var1) {
      this.previous = (Link)var1;
   }

   public void remove() {
      this.remove_base();
   }

   public RSLink next() {
      return this.next;
   }

   public RSLink getNext() {
      return this.next;
   }

   public void setNext(RSLink var1) {
      this.next = (Link)var1;
   }
}
